package xn.hxp.ui.adapter

import android.content.Context
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import xn.hxp.R
import com.rc.httpcore.bean.ChemicalTimeoutListBean

class ChemicalTimeoutAdapter:
    BaseQuickAdapter<ChemicalTimeoutListBean, BaseViewHolder>(R.layout.item_chemical_timeout) {
    override fun convert(holder: BaseViewHolder, item: ChemicalTimeoutListBean) {
       holder.setText(R.id.chemicalName,"${item.chemicalName}-${item.tagCode}")
       holder.setText(R.id.position,"${item.position}")
       holder.setText(R.id.normsNum,"规格：${item.normsNum}")
       holder.setText(R.id.surplus,"余量：${item.surplus}")
       holder.setText(R.id.belong,"归属人：${item.belongName}")
    }
}